#ifndef ANT_ACT_HPP
#define ANT_ACT_HPP

#include <sys/types.h>
#include <string>
#include <list>
#include <map>

#include "ant_log.hpp"
#define ANT_ACT_BUF_CHUNK 2048

using namespace std;

/*typedef map<string, int *> map_str_intptr;*/

class Ant_action{
public:
  static int    send_retr;
  static time_t reinit_interval;
  static struct timeval sleep_time;
  static std::string actions_path;

  static map<string, int *>   global_exe;
  static map<string, int *>   global_err;

  int           fd;
  int           ed;

  string        name;
  string        argument;
  string        cmd;

  time_t        data_sent;
  time_t        time_disabled;

  int           active;
  int           error;

  char          *buffer;
  int           size;
  int           pos;

  void          sendMessage(const char *);
  int           flush();                   // 1 if error

  //                     name
  Ant_action(const char *);
  ~Ant_action();

  void finalize();

  //                exe+arguments,   argument string
  void init(char *, const char *);
  void reinit(void);
};

#endif
